Skip to main content
PUT
/
v1
/
businessAccount
/
banks
/
pix
/
{fiatAccountId}
/
routingPreferences
Update PIX routing preferences
curl --request PUT \
  --url https://api-sandbox.circle.com/v1/businessAccount/banks/pix/{fiatAccountId}/routingPreferences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "USD",
  "inboundBankLabel": "customers_bank",
  "outboundBankLabel": "scb"
}
'
{
  "data": {
    "currency": "USD",
    "inbound": {
      "bankLabel": "customers_bank",
      "bankName": "Customers Bank",
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z"
    },
    "outbound": {
      "bankLabel": "customers_bank",
      "bankName": "Customers Bank",
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fiatAccountId
string<uuid>
required

Universally unique identifier (UUID v4) of a fiat account.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

application/json

Request body for updating routing preferences. At least one of inboundBankLabel or outboundBankLabel must be provided.

currency
string
required

The currency code (e.g., USD, BRL). Must match a supported currency for the account type.

Example:

"USD"

inboundBankLabel
string

Bank identifier for inbound (deposit) transactions.

Example:

"customers_bank"

outboundBankLabel
string

Bank identifier for outbound (withdrawal) transactions.

Example:

"scb"

Response

Successfully updated routing preferences for the PIX account.

data
object

The current routing preferences for a fiat account.